ExporterLabel (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class ExporterLabel

- java.lang.Object
- - org.bouncycastle.crypto.tls.ExporterLabel

-     public class ExporterLabel
      extends java.lang.Object

  RFC 5705

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `client_EAP_encryption`
    `static java.lang.String` | `client_finished`
    `static java.lang.String` | `dtls_srtp`
    `static java.lang.String` | `extended_master_secret`
    `static java.lang.String` | `key_expansion`
    `static java.lang.String` | `master_secret`
    `static java.lang.String` | `server_finished`
    `static java.lang.String` | `ttls_challenge`
    `static java.lang.String` | `ttls_keying_material`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExporterLabel()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### client_finished

          public static final java.lang.String client_finished

      See Also:
        Constant Field Values

    - #### server_finished

          public static final java.lang.String server_finished

      See Also:
        Constant Field Values

    - #### master_secret

          public static final java.lang.String master_secret

      See Also:
        Constant Field Values

    - #### key_expansion

          public static final java.lang.String key_expansion

      See Also:
        Constant Field Values

    - #### client_EAP_encryption

          public static final java.lang.String client_EAP_encryption

      See Also:
        Constant Field Values

    - #### ttls_keying_material

          public static final java.lang.String ttls_keying_material

      See Also:
        Constant Field Values

    - #### ttls_challenge

          public static final java.lang.String ttls_challenge

      See Also:
        Constant Field Values

    - #### dtls_srtp

          public static final java.lang.String dtls_srtp

      See Also:
        Constant Field Values

    - #### extended_master_secret

          public static final java.lang.String extended_master_secret

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExporterLabel

          public ExporterLabel()